Announcement

Announcement Module
Collapse
No announcement yet.

Install XtraBackup to Mysql 5.6

Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Install XtraBackup to Mysql 5.6

    Hi,

    I wanted to try xtrabackup and i install it using yum to a mysql community server 5.6, Yum asked me to replace MySQL-shared.x86_64 0:5.6.14-1.el6 with Percona-Server-shared-compat.x86_64 0:5.5.34-rel32.0.591.rhel6 , that mean that i cant use latest libmysqlclient if i need xtrabackup installed?

    Thanks,

  • #2
    Hello, antgiann,

    As you can see here: http://pastebin.com/TprALy6Z I was able to install the latest version of mysql server community edition from Oracle's yum repositories (5.6.14) and after that, installing the latest version of percona-xtrabackup (2.1.5) from Percona repositories. You can have installed the latest mysql-community-libs.x86_64 and Percona-Server-shared-*

    I would dare to say that the problem is that there are several libraries that are falling in the hell dependency of the libraries available in the original distro, the libraries provided by Oracle and our libraries. Xtrabackup requires 5.1, 5.5 and 5.6 libraries, but it can use Oracle's without problem (in fact, up to now, there is no Percona 5.6 libraries because we use the upstream ones).

    Comment

    Working...
    X